export default function () {
  // #ifdef H5
  // Element.append() 兼容低版本浏览器
  if (!Element.prototype.append) {
    Element.prototype.append = function () {
      const argArr = Array.prototype.slice.call(arguments)
      const docFrag = document.createDocumentFragment()
      argArr.forEach(function (argItem) {
        const isNode = argItem instanceof Node
        docFrag.appendChild(isNode ? argItem : document.createTextNode(String(argItem)))
      })
      this.appendChild(docFrag)
    }
  }
  // #endif
}
